Name:           4digits
Version:        1.1.4
Release:        %mkrel 3
Summary:        A guess-the-number puzzle game
Group:          Games/Puzzles
License:        GPLv2+
URL:            http://fourdigits.sourceforge.net/
Source0:        http://downloads.sourceforge.net/fourdigits/%{name}_%{version}.tar.bz2
Patch0:         4digits-1.1.4-mga-makefile-and-install-paths.patch

BuildRequires:  python-setuptools
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade

%description
4digits is a guess-the-number puzzle game. It's called Bulls and Cows,
and in China people simply call it Guess-the-Number. The game's objective
is to guess a four-digit number in 8 times using as less time as possible.

%prep
%setup -q
%autopatch -p1
sed -i -e 's/GTK/GTK;/' %{name}.desktop

%build
%make OPTFLAGS="%{optflags}"

%install
%make DESTDIR=%{buildroot} install-po

install -d %{buildroot}%{_gamesbindir}
install -m755 %{name}                 %{buildroot}%{_gamesbindir}/
install -m755 %{name}-text            %{buildroot}%{_gamesbindir}/

install -d %{buildroot}%{_gamesdatadir}/%{name}
install -m644 %{name}.glade           %{buildroot}%{_gamesdatadir}/%{name}/
install -m644 %{name}_logo.png        %{buildroot}%{_gamesdatadir}/%{name}/

install -d %{buildroot}%{_mandir}/man6
install -m644 %{name}.6               %{buildroot}%{_mandir}/man6/
install -m644 %{name}-text.6          %{buildroot}%{_mandir}/man6/

install -D -m644 %{name}.desktop      %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 %{name}_logo.png     %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D -m644 %{name}_logo_big.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README doc/*
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-text
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}-text.6*


%changelog
* Sat Jan 28 2017 akien <akien> 1.1.4-3.mga6
+ Revision: 1083787
- Rebuild for buildsystem issue

* Tue Feb 09 2016 umeabot <umeabot> 1.1.4-2.mga6
+ Revision: 952138
- Mageia 6 Mass Rebuild

* Fri Jan 16 2015 akien <akien> 1.1.4-1.mga5
+ Revision: 810924
- imported package 4digits

